#include <iostream>
#include <fstream>
using namespace std;


#include "fileout.h"

void Fileout::speichern(int		radius,
						int		dimensionen,
						double	k_flaeche,
						double	n,
						double	m,
						double	p,
						double	varianz,
						double	pi,
						bool	obPi
					   )

{
		char temp[20];
	
		ofstream dat_out("mc_result.txt");

		dat_out<<"Monte Carlo Simulation: Auswertung\n";
		dat_out<<"--------------------------------------\n\n";

		dat_out<<"> Krper:\n\n";
		dat_out<<"  Radius:      "<<radius<<endl;
		dat_out<<"  Dimensionen: "<<dimensionen<<endl;
			sprintf(temp, "%.5f", k_flaeche);
		dat_out<<"  Kreisflche: "<<temp<<"\n\n";

		dat_out<<"> Simulation:\n\n";
			sprintf(temp, "%.0f", n);
		dat_out<<"  geschossen (n):                "<<temp<<endl;
			sprintf(temp, "%.0f", m);
		dat_out<<"  getroffen  (m):                "<<temp<<endl;
			sprintf(temp, "%.10f", p);
		dat_out<<"  Trefferwahrscheinlichkeit (p): "<<temp<<" %"<<endl;
			sprintf(temp, "%.10f", varianz);
		dat_out<<"  Varianz:                       "<<temp<<"\n\n";

		if(obPi)
			sprintf(temp, "%.15f", pi);
			dat_out<<"  PI:  "<<temp;
}
